ipython 5 not supported by Pycharm's python console?

I upgraded to pycharm 2016.1.4 ipython 5 and I get the following error from the Python Console. Is Pycharm not compatible with ipython 5 or is it something on my end.

 

```

/Users/<obsfucated>/anaconda/envs/default/bin/python "/Applications/PyCharm CE.app/Contents/helpers/pydev/pydevconsole.py" 61803 61804
Traceback (most recent call last):
File "/Applications/PyCharm CE.app/Contents/helpers/pydev/pydevconsole.py", line 506, in <module>
pydevconsole.start_server(pydev_localhost.get_localhost(), int(port), int(client_port))
File "/Applications/PyCharm CE.app/Contents/helpers/pydev/pydevconsole.py", line 348, in start_server
interpreter = InterpreterInterface(host, client_port, threading.currentThread())
File "/Applications/PyCharm CE.app/Contents/helpers/pydev/_pydev_bundle/pydev_ipython_console.py", line 26, in __init__
self.interpreter = get_pydev_frontend(host, client_port, show_banner=show_banner)
File "/Applications/PyCharm CE.app/Contents/helpers/pydev/_pydev_bundle/pydev_ipython_console_011.py", line 473, in get_pydev_frontend
_PyDevFrontEndContainer._instance = _PyDevFrontEnd(show_banner=show_banner)
File "/Applications/PyCharm CE.app/Contents/helpers/pydev/_pydev_bundle/pydev_ipython_console_011.py", line 303, in __init__
self.ipython = PyDevTerminalInteractiveShell.instance()
File "/Users/a<obsfucated>/anaconda/envs/default/lib/python2.7/site-packages/traitlets/config/configurable.py", line 412, in instance
inst = cls(*args, **kwargs)
File "/Users/<obsfucated>/anaconda/envs/default/lib/python2.7/site-packages/IPython/terminal/interactiveshell.py", line 359, in __init__
super(TerminalInteractiveShell, self).__init__(*args, **kwargs)
File "/Users/<obsfucated>/anaconda/envs/default/lib/python2.7/site-packages/IPython/core/interactiveshell.py", line 487, in __init__
self.init_completer()
File "/Applications/PyCharm CE.app/Contents/helpers/pydev/_pydev_bundle/pydev_ipython_console_011.py", line 222, in init_completer
self.Completer = self._new_completer_200()
File "/Applications/PyCharm CE.app/Contents/helpers/pydev/_pydev_bundle/pydev_ipython_console_011.py", line 194, in _new_completer_200
use_readline=self.has_readline,
AttributeError: 'PyDevTerminalInteractiveShell' object has no attribute 'has_readline'

```

1 comment
Comment actions Permalink

It was known issue https://youtrack.jetbrains.com/issue/PY-20013 which is fixed in PyCharm 2016.2.

0

Please sign in to leave a comment.